//based on Simple_Apu code

#ifndef FAMI_AUDIO_H
#define FAMI_AUDIO_H

#include "nes_apu/Nes_Apu.h"
#include "nes_apu/Nes_Vrc6.h"
#include "nes_apu/Blip_Buffer.h"

class FamiAudio {
public:
	FamiAudio();
	~FamiAudio();
	
	blargg_err_t set_timings( long sample_rate, long clock_rate, long frame_rate );
	
	void write_register( cpu_addr_t, int data );

	void end_frame();
	
	long samples_avail() const;

	typedef blip_sample_t sample_t;
	long read_samples( sample_t* buf, long buf_size );

	Nes_Apu apu;
	Nes_Vrc6 vrc6;

private:

	Blip_Buffer buf;
	blip_time_t time;
	blip_time_t frame_length;
	blip_time_t clock() { return time += 4; }
};

#endif

