#include "file.h"



bool File::Open(const char* filename,bool write)
{
	file=fopen(filename,write?"wb":"rb");

	return file?true:false;
}

void File::Close(void)
{
	if(file) fclose(file);
}

void File::PutByte(unsigned char n)
{
	unsigned char buf[1];

	buf[0]=n;

	fwrite(buf,1,1,file);
}

void File::PutDWord(unsigned int n)
{
	unsigned char buf[4];

	buf[0]=n&255;
	buf[1]=(n>>8)&255;
	buf[2]=(n>>16)&255;
	buf[3]=(n>>24)&255;

	fwrite(buf,4,1,file);
}

void File::PutString(const char* str)
{
	fwrite(str,strlen(str),1,file);
}

unsigned char File::GetByte(void)
{
	unsigned char buf[1];

	fread(buf,1,1,file);

	return buf[0];
}

unsigned int File::GetDWord(void)
{
	unsigned char buf[4];

	fread(buf,4,1,file);

	return buf[0]+(buf[1]<<8)+(buf[2]<<16)+(buf[3]<<24);
}

void File::GetString(char* buf,unsigned int len)
{
	fread(buf,len,1,file);
}
	